# coding: utf-8

from __future__ import absolute_import

import sys
from setuptools import setup
from os.path import dirname, abspath, join as path
from codecs import open as fopen
fopen = lambda name, mode="r", open=fopen: open(name, mode, "utf-8")

py_version = getattr(sys, "version_info", (0, 0, 0, "alpha", 0))
is_pypy    = hasattr(sys, "pypy_version_info")
is_jython  = sys.platform.startswith("java")
is_py32bit = sys.maxsize <= 2**32
setup_dir  = dirname(abspath(__file__))

if py_version < (3, 4, 0):
    raise AssertionError("Python 3.4 or newer is required")

class about:
    exec(open(path(setup_dir, "pdo", "xml", "__about__.py")).read(), None)

setup(
    name             = about.__title__,
    version          = about.__version__,
    description      = about.__summary__,
    url              = about.__uri__,
    download_url     = about.__uri__,

    author           = about.__author__,
    author_email     = about.__email__,
    maintainer       = about.__author__,
    maintainer_email = about.__email__,
    license          = about.__license__,
    long_description = (fopen(path(setup_dir, "README.rst")).read() + "\n" +
                        fopen(path(setup_dir, "CHANGES.rst")).read()),

    test_suite = "tests.suite",
)

# eof
